Login | Register For Free | Help
Search for: (Advanced)

Mailing List Archive: Perl: porters

Closing tickets in RT

 

 

Perl porters RSS feed   Index | Next | Previous | View Threaded


p5p at perl

Apr 26, 2008, 8:58 AM

Post #1 of 6 (147 views)
Permalink
Closing tickets in RT

Hello,

I just took a look at some of the open tickets on rt.perl.org.

The following tickets can be marked as resolved:

#52672: regexp failure: (?=) turns into OPFAIL: Patch applied (#33667)
#52452: map isn't context aware in some cases: not a bug
#52126: POSIX::strftime hangs on %Z under cygwin: Patch applied (#29350)
#52104: Text::Wrap::wrap() generates a segfault with Cyrillic
characters when the utf8 flag is turned on: Patch applied (#33580)
#51842: open(OUT, ">-") != open(OUT, ">", "-"): not a bug
#51642: waitpid() example in perlfunc(1) is bogus: not a bug
#51636: segmentation fault with array ties: Patch applied (#33495)
#51394: String processing error (concatonation+regexp): not a bug
(message answered via RT - still waiting for it to show up on p5p)


Other ticket:

#52368: Issues installing Perl 5.10

The problem is resolved (missing libm.a package) but perhaps Configure
can test if it is installed or not?


Kind regards,

Bram


rgarciasuarez at gmail

Apr 26, 2008, 9:13 AM

Post #2 of 6 (140 views)
Permalink
Re: Closing tickets in RT [In reply to]

You could request the rights to close tickets on RT. Who handles this, already?

2008/4/26 Bram <p5p[at]perl.wizbit.be>:
> Hello,
>
> I just took a look at some of the open tickets on rt.perl.org.
>
> The following tickets can be marked as resolved:
>
> #52672: regexp failure: (?=) turns into OPFAIL: Patch applied (#33667)
> #52452: map isn't context aware in some cases: not a bug
> #52126: POSIX::strftime hangs on %Z under cygwin: Patch applied (#29350)
> #52104: Text::Wrap::wrap() generates a segfault with Cyrillic characters
> when the utf8 flag is turned on: Patch applied (#33580)
> #51842: open(OUT, ">-") != open(OUT, ">", "-"): not a bug
> #51642: waitpid() example in perlfunc(1) is bogus: not a bug
> #51636: segmentation fault with array ties: Patch applied (#33495)
> #51394: String processing error (concatonation+regexp): not a bug (message
> answered via RT - still waiting for it to show up on p5p)
>
>
> Other ticket:
>
> #52368: Issues installing Perl 5.10
>
> The problem is resolved (missing libm.a package) but perhaps Configure can
> test if it is installed or not?
>
>
> Kind regards,
>
> Bram
>
>
>


steve at fisharerojo

Apr 26, 2008, 11:30 AM

Post #3 of 6 (138 views)
Permalink
Re: Closing tickets in RT [In reply to]

On Sat, Apr 26, 2008 at 10:58 AM, Bram <p5p[at]perl.wizbit.be> wrote:
> Hello,
>
> I just took a look at some of the open tickets on rt.perl.org.
>
> The following tickets can be marked as resolved:
>
> #52672: regexp failure: (?=) turns into OPFAIL: Patch applied (#33667)
> #52452: map isn't context aware in some cases: not a bug
> #52126: POSIX::strftime hangs on %Z under cygwin: Patch applied (#29350)
> #52104: Text::Wrap::wrap() generates a segfault with Cyrillic characters
> when the utf8 flag is turned on: Patch applied (#33580)
> #51842: open(OUT, ">-") != open(OUT, ">", "-"): not a bug
> #51642: waitpid() example in perlfunc(1) is bogus: not a bug
> #51636: segmentation fault with array ties: Patch applied (#33495)
> #51394: String processing error (concatonation+regexp): not a bug (message
> answered via RT - still waiting for it to show up on p5p)
>

I've marked all of these tickets as resolved.

>
> #52368: Issues installing Perl 5.10
>
> The problem is resolved (missing libm.a package) but perhaps Configure can
> test if it is installed or not?
>

I think it would be a good idea to ensure that libm is installed. My
guess is that adding it to the AIX hints file would help to head off
these repeated build problems.

Steve Peters
steve[at]fisharerojo.org


h.m.brand at xs4all

Apr 27, 2008, 1:21 AM

Post #4 of 6 (124 views)
Permalink
Re: Closing tickets in RT [In reply to]

On Sat, 26 Apr 2008 13:30:58 -0500, "Steve Peters"
<steve[at]fisharerojo.org> wrote:

> On Sat, Apr 26, 2008 at 10:58 AM, Bram <p5p[at]perl.wizbit.be> wrote:
> > Hello,
> >
> > I just took a look at some of the open tickets on rt.perl.org.
> >
> > The following tickets can be marked as resolved:
> >
> > #52672: regexp failure: (?=) turns into OPFAIL: Patch applied (#33667)
> > #52452: map isn't context aware in some cases: not a bug
> > #52126: POSIX::strftime hangs on %Z under cygwin: Patch applied (#29350)
> > #52104: Text::Wrap::wrap() generates a segfault with Cyrillic characters
> > when the utf8 flag is turned on: Patch applied (#33580)
> > #51842: open(OUT, ">-") != open(OUT, ">", "-"): not a bug
> > #51642: waitpid() example in perlfunc(1) is bogus: not a bug
> > #51636: segmentation fault with array ties: Patch applied (#33495)
> > #51394: String processing error (concatonation+regexp): not a bug (message
> > answered via RT - still waiting for it to show up on p5p)
> >
>
> I've marked all of these tickets as resolved.
>
> >
> > #52368: Issues installing Perl 5.10
> >
> > The problem is resolved (missing libm.a package) but perhaps Configure can
> > test if it is installed or not?
> >
>
> I think it would be a good idea to ensure that libm is installed. My
> guess is that adding it to the AIX hints file would help to head off
> these repeated build problems.

Added to my TODO list

--
H.Merijn Brand Amsterdam Perl Mongers (http://amsterdam.pm.org/)
using & porting perl 5.6.2, 5.8.x, 5.10.x on HP-UX 10.20, 11.00, 11.11,
& 11.23, SuSE 10.1 & 10.2, AIX 5.2, and Cygwin. http://qa.perl.org
http://mirrors.develooper.com/hpux/ http://www.test-smoke.org
http://www.goldmark.org/jeff/stupid-disclaimers/


h.m.brand at xs4all

Apr 29, 2008, 8:49 AM

Post #5 of 6 (108 views)
Permalink
Re: Closing tickets in RT [In reply to]

On Sat, 26 Apr 2008 13:30:58 -0500, "Steve Peters"
<steve[at]fisharerojo.org> wrote:

> On Sat, Apr 26, 2008 at 10:58 AM, Bram <p5p[at]perl.wizbit.be> wrote:
> > Hello,
> >
> > I just took a look at some of the open tickets on rt.perl.org.
> >
> > The following tickets can be marked as resolved:
> >
> > #52672: regexp failure: (?=) turns into OPFAIL: Patch applied (#33667)
> > #52452: map isn't context aware in some cases: not a bug
> > #52126: POSIX::strftime hangs on %Z under cygwin: Patch applied (#29350)
> > #52104: Text::Wrap::wrap() generates a segfault with Cyrillic characters
> > when the utf8 flag is turned on: Patch applied (#33580)
> > #51842: open(OUT, ">-") != open(OUT, ">", "-"): not a bug
> > #51642: waitpid() example in perlfunc(1) is bogus: not a bug
> > #51636: segmentation fault with array ties: Patch applied (#33495)
> > #51394: String processing error (concatonation+regexp): not a bug (message
> > answered via RT - still waiting for it to show up on p5p)
> >
>
> I've marked all of these tickets as resolved.
>
> >
> > #52368: Issues installing Perl 5.10
> >
> > The problem is resolved (missing libm.a package) but perhaps Configure can
> > test if it is installed or not?
> >
>
> I think it would be a good idea to ensure that libm is installed. My
> guess is that adding it to the AIX hints file would help to head off
> these repeated build problems.

Would this do?
--8<---
--- hints/aix.sh 2007-06-22 16:56:42 +0200
+++ hints/aix.sh.new 2008-04-29 17:47:47 +0200
@@ -80,6 +80,12 @@ EOF
;;
esac

+ s=`lslpp -lc bos.adt.libm >/dev/null`
+if [ $? != 0 ]; then
+ echo "You cannot build perl without the bos.adt.libm package installed" >&4
+ exit
+ fi
+
# uname -m output is too specific and not appropriate here
case "$archname" in
'') archname="$osname" ;;
-->8---

--
H.Merijn Brand Amsterdam Perl Mongers (http://amsterdam.pm.org/)
using & porting perl 5.6.2, 5.8.x, 5.10.x on HP-UX 10.20, 11.00, 11.11,
& 11.23, SuSE 10.1 & 10.2, AIX 5.2, and Cygwin. http://qa.perl.org
http://mirrors.develooper.com/hpux/ http://www.test-smoke.org
http://www.goldmark.org/jeff/stupid-disclaimers/


h.m.brand at xs4all

May 16, 2008, 6:43 AM

Post #6 of 6 (86 views)
Permalink
Re: Closing tickets in RT [In reply to]

On Tue, 29 Apr 2008 17:49:35 +0200, "H.Merijn Brand"
<h.m.brand[at]xs4all.nl> wrote:

> On Sat, 26 Apr 2008 13:30:58 -0500, "Steve Peters" <steve[at]fisharerojo.org> wrote:
> > On Sat, Apr 26, 2008 at 10:58 AM, Bram <p5p[at]perl.wizbit.be> wrote:
> > >
> > > I just took a look at some of the open tickets on rt.perl.org.
> > >
> > > The following tickets can be marked as resolved:
> > >
> > > #52672: regexp failure: (?=) turns into OPFAIL: Patch applied (#33667)
> > > #52452: map isn't context aware in some cases: not a bug
> > > #52126: POSIX::strftime hangs on %Z under cygwin: Patch applied (#29350)
> > > #52104: Text::Wrap::wrap() generates a segfault with Cyrillic characters
> > > when the utf8 flag is turned on: Patch applied (#33580)
> > > #51842: open(OUT, ">-") != open(OUT, ">", "-"): not a bug
> > > #51642: waitpid() example in perlfunc(1) is bogus: not a bug
> > > #51636: segmentation fault with array ties: Patch applied (#33495)
> > > #51394: String processing error (concatonation+regexp): not a bug (message
> > > answered via RT - still waiting for it to show up on p5p)
> >
> > I've marked all of these tickets as resolved.
> >
> > > #52368: Issues installing Perl 5.10
> > >
> > > The problem is resolved (missing libm.a package) but perhaps Configure can
> > > test if it is installed or not?
> >
> > I think it would be a good idea to ensure that libm is installed. My
> > guess is that adding it to the AIX hints file would help to head off
> > these repeated build problems.
>
> Would this do?
> --8<---
> --- hints/aix.sh 2007-06-22 16:56:42 +0200
> +++ hints/aix.sh.new 2008-04-29 17:47:47 +0200
> @@ -80,6 +80,12 @@ EOF
> ;;
> esac
>
> + s=`lslpp -lc bos.adt.libm >/dev/null`
> +if [ $? != 0 ]; then
> + echo "You cannot build perl without the bos.adt.libm package installed" >&4
> + exit
> + fi
> +
> # uname -m output is too specific and not appropriate here
> case "$archname" in
> '') archname="$osname" ;;
> -->8---

This suggestions still has not been applied, awaiting comments.


--
H.Merijn Brand Amsterdam Perl Mongers (http://amsterdam.pm.org/)
using & porting perl 5.6.2, 5.8.x, 5.10.x on HP-UX 10.20, 11.00, 11.11,
& 11.23, SuSE 10.1 & 10.2, AIX 5.2, and Cygwin. http://qa.perl.org
http://mirrors.develooper.com/hpux/ http://www.test-smoke.org
http://www.goldmark.org/jeff/stupid-disclaimers/

Perl porters RSS feed   Index | Next | Previous | View Threaded
 
 


Interested in having your list archived? Contact lists@gossamer-threads.com
 
  Web Applications & Managed Hosting Powered by Gossamer Threads Inc.